# xarray.ufuncs.sign

`xarray.ufuncs.``sign` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.sign. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  sign(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Returns an element-wise indication of the sign of a number.

  The sign function returns `-1 if x < 0, 0 if x==0, 1 if x > 0`. nan is returned for nan inputs.

  For complex inputs, the sign function returns `sign(x.real) + 0j if x.real != 0 else sign(x.imag) + 0j`.

  complex(nan, 0) is returned for complex nan inputs.

  Parameters:

  x : array_like

  > Input values.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : ndarray

  > The sign of x.

  Notes

  There is more than one definition of sign in common use for complex numbers. The definition used here is equivalent to \(x/\sqrt{x*x}\) which is different from a common alternative, \(x/|x|\).

  Examples

      >>> np.sign([-5., 4.5])
      array([-1.,  1.])
      >>> np.sign(0)
      0
      >>> np.sign(5-2j)
      (1+0j)